
Base Distribution - Task # 52492

Work Package # 47023 (Accepted): Global user interface

Status: Resolved Priority: Should have
Author: Aske Ertmann Category: Global User Interface
Created: 2013-10-03 Assigned To:
Updated: 2014-02-27 Due date:
Subject: Page loader
Description

Instead of the current page loader that adds a white overlay layer with a spinner we want to have a more subtle loader. The loader is
inspired by the loader in iOS7 safari and should behave like that one. This loader loads a little bit in the beginning, then proceeds
slowly forwards and when the page is loaded it quickly fills out the remaining space. We need to see if we can see how far the AJAX
request is and if that's not possible, we should have a default time that works for most cases and if it reaches the end it will start over.

The loader is only shown when loading a page and should disappear when the page is loaded

Associated revisions
Revision 2eeb41ca - 2014-02-27 16:17 - Aske Ertmann

[TASK] Upgrade jQuery from 1.10.2 to 2.0.3

Since there won't be the need to support IE8 there's
no reason to keep the old version and the new versions
contains various improvements.

Change-Id: If6848588da2e3e48254b3d0748e79ee757740d79
Related: #52492
Releases: master
Reviewed-on: https://review.typo3.org/26484
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Reviewed-by: Karsten Dambekalns
Tested-by: Karsten Dambekalns

Revision 2b670de8 - 2014-02-27 16:17 - Aske Ertmann

[FEATURE] Loading indicator

Introduces a new concept for a page loading indicator removing
the overlay with the spinner and replaces it with a more subtle
approach with a small loading bar placed under the context bar.

Change-Id: I03826d73fbde0c30106dd14b93d4dbd854a4eb8f
Resolves: #52492
Releases: master
Reviewed-on: https://review.typo3.org/26483
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Reviewed-by: Karsten Dambekalns
Tested-by: Karsten Dambekalns

History
#1 - 2013-12-18 23:50 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26483

#2 - 2013-12-19 00:02 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26483

#3 - 2014-02-20 17:29 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26483

#4 - 2014-02-26 00:13 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26483

#5 - 2014-02-26 00:14 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26483

#6 - 2014-02-27 13:00 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26483

#7 - 2014-02-27 15:37 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26483

#8 - 2014-02-27 16:36 - Aske Ertmann
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

2015-08-04 2/3

https://review.typo3.org/26483
https://review.typo3.org/26483
https://review.typo3.org/26483
https://review.typo3.org/26483
https://review.typo3.org/26483
https://review.typo3.org/26483
https://review.typo3.org/26483


Applied in changeset commit:2b670de82eb6da1621df6c64c9048c21e5978293.
